import { AnnotationLayer } from "./AnnotationLayer";
import { Series } from "./Series";
import { FinalValueSelectionMode } from "./FinalValueSelectionMode";
import { Brush } from "igniteui-react-core";
import { Thickness } from "igniteui-react-core";
import { FinalValueLayerFrame } from "./FinalValueLayerFrame";
import { Type } from "igniteui-react-core";
import { SeriesView } from "./SeriesView";
import { Frame } from "./Frame";
import { AnnotationLayerView } from "./AnnotationLayerView";
/**
 * @hidden
 */
export declare class FinalValueLayer extends AnnotationLayer {
    static $t: Type;
    protected bc(): Series;
    protected get_d5(): boolean;
    constructor();
    protected cd(): SeriesView;
    o2(a: SeriesView): void;
    protected w3: FinalValueLayerView;
    xr: string;
    w5: Series;
    w4: FinalValueSelectionMode;
    yb: Brush;
    x9: Brush;
    w9: number;
    xf: number;
    ya: Brush;
    get yd(): Thickness;
    xb: number;
    xd: number;
    xc: number;
    xa: number;
    axisAnnotationFormatLabel: (item: any) => string;
    w6(): boolean;
    xe: number;
    protected vu(a: Series, b: boolean): void;
    protected vw(a: Frame, b: SeriesView): void;
    protected un(a: Series): boolean;
    oq(): void;
    private yc;
    private xu;
    private w8;
    private w7;
    protected xv(a: FinalValueLayerFrame, b: boolean): void;
    protected vz(a: Frame, b: SeriesView): void;
    protected fn(): boolean;
    protected pa(a: any, b: string, c: any, d: any): void;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class FinalValueLayerView extends AnnotationLayerView {
    static $t: Type;
    constructor(a: FinalValueLayer);
    protected b7: FinalValueLayer;
    au(): void;
    b8(a: Brush): Brush;
    an(a: any): void;
}
